Bug 1933955 - Review Request: xwd - Dump an X window to file
Summary: Review Request: xwd - Dump an X window to file
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1933920
TreeView+ depends on / blocked
 
Reported: 2021-03-02 05:21 UTC by Peter Hutterer
Modified: 2021-03-25 00:17 UTC (History)
2 users (show)

Fixed In Version: xwd-1.0.7-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-04 11:47:07 UTC
Type: ---
Embargoed:
panemade: fedora-review+


Attachments (Terms of Use)

Description Peter Hutterer 2021-03-02 05:21:02 UTC
Spec URL: https://people.freedesktop.org/~whot/xwd/xwd.spec
SRPM URL: https://people.freedesktop.org/~whot/xwd/xwd-1.0.7-1.fc33.src.rpm
Description:
Xwd is an X Window System window dumping utility. Xwd allows X users to
store window images in a specially formatted dump file. This file can then
be read by various other X utilities for redisplay, printing, editing,
formatting, archiving, image processing, etc.
Fedora Account System Username: whot


Note: This utility was previously provided by xorg-x11-apps and is being split
into its own package, see Bug 1933920.

Comment 1 Parag AN(पराग) 2021-03-02 13:16:51 UTC
Not doing full package review here.

Rpmlint
-------
Checking: xwd-1.0.7-1.fc35.x86_64.rpm
          xwd-debuginfo-1.0.7-1.fc35.x86_64.rpm
          xwd-debugsource-1.0.7-1.fc35.x86_64.rpm
          xwd-1.0.7-1.fc35.src.rpm
xwd.x86_64: W: spelling-error %description -l en_US redisplay -> re display, re-display, displeasure
xwd.src: W: spelling-error %description -l en_US redisplay -> re display, re-display, displeasure
4 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (debuginfo)
-------------------
Checking: xwd-debuginfo-1.0.7-1.fc35.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
xwd.x86_64: W: spelling-error %description -l en_US redisplay -> re display, re-display, displeasure
3 packages and 0 specfiles checked; 0 errors, 1 warnings.



Source checksums
----------------
https://www.x.org/pub/individual/app/xwd-1.0.7.tar.bz2 :
  CHECKSUM(SHA256) this package     : cd6815b8b9e0b98e284d3d732fb12162159cb9dcee4f45a7d4c0bd8b308a6794
  CHECKSUM(SHA256) upstream package : cd6815b8b9e0b98e284d3d732fb12162159cb9dcee4f45a7d4c0bd8b308a6794


Requires
--------
xwd (rpmlib, GLIBC filtered):
    libX11.so.6()(64bit)
    libc.so.6()(64bit)
    libxkbfile.so.1()(64bit)
    rtld(GNU_HASH)

xwd-debuginfo (rpmlib, GLIBC filtered):

xwd-debugsource (rpmlib, GLIBC filtered):



Provides
--------
xwd:
    xwd
    xwd(x86-64)

xwd-debuginfo:
    debuginfo(build-id)
    xwd-debuginfo
    xwd-debuginfo(x86-64)

xwd-debugsource:
    xwd-debugsource
    xwd-debugsource(x86-64)


This package looks good to me.

APPROVED.

Comment 2 Tomas Hrcka 2021-03-03 13:26:09 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/xwd

Comment 3 Fedora Update System 2021-03-04 12:24:13 UTC
FEDORA-2021-c32498766f has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-c32498766f

Comment 4 Fedora Update System 2021-03-04 17:00:12 UTC
FEDORA-2021-c32498766f has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-c32498766f \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-c32498766f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-03-25 00:17:11 UTC
FEDORA-2021-c32498766f has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.